Loading...
Searching...
No Matches
XrdSecPManager.cc File Reference
`#include <string>`
`#include <cstring>`
`#include <strings.h>`
`#include <sys/stat.h>`
`#include <sys/types.h>`
`#include <cerrno>`
`#include "XrdVersion.hh"`
`#include "XrdVersionPlugin.hh"`
`#include "XrdSys/XrdSysHeaders.hh"`
`#include "XrdSec/XrdSecInterface.hh"`
`#include "XrdSec/XrdSecPManager.hh"`
`#include "XrdSec/XrdSecProtocolhost.hh"`
`#include "XrdOuc/XrdOucEnv.hh"`
`#include "XrdOuc/XrdOucErrInfo.hh"`
`#include "XrdOuc/XrdOucPinLoader.hh"`
`#include "XrdOuc/XrdOucVerName.hh"`
`#include "XrdNet/XrdNetAddrInfo.hh"`
`#include "XrdSys/XrdSysPlatform.hh"`
Include dependency graph for XrdSecPManager.cc:

Go to the source code of this file.

## Classes

class | XrdSecProtList

## Macros

#define | DEBUG(x)
#define | INITPARMS const char, const char *, XrdOucErrInfo *

## Functions

| XrdVERSIONINFO (XrdSecGetProtocol, secprot)
| XrdVERSIONINFO (XrdSecgetService, secserv)

## Macro Definition Documentation

## DEBUG

#define DEBUG | ( |  | x | ) |

Value:
{if (DebugON) std::cerr <<"sec_PM: " <<x <<std::endl;}
DebugON
int DebugON
Definition XrdCryptosslFactory.hh:43

Definition at line 57 of file XrdSecPManager.cc.

## INITPARMS

#define INITPARMS const char, const char *, XrdOucErrInfo *

Definition at line 306 of file XrdSecPManager.cc.

## Function Documentation

## XrdVERSIONINFO() [1/2]

XrdVERSIONINFO | ( | XrdSecGetProtocol | ,
|  | secprot | )

References XrdSecGetProtocol().

Here is the call graph for this function:

## XrdVERSIONINFO() [2/2]

XrdVERSIONINFO | ( | XrdSecgetService | ,
|  | secserv | )

References XrdSecgetService().

Here is the call graph for this function: